package it.integry.integrywmsnative.core.expansion;

import androidx.databinding.ObservableList;
import androidx.databinding.ObservableList.OnListChangedCallback;

public abstract class OnListGeneralChangedCallback<T> extends OnListChangedCallback<ObservableList<T>> {


    @Override
    public void onItemRangeChanged(ObservableList<T> sender, int positionStart, int itemCount) {
        onChanged(sender);
    }

    @Override
    public void onItemRangeInserted(ObservableList<T> sender, int positionStart, int itemCount) {
        onChanged(sender);
    }

    @Override
    public void onItemRangeMoved(ObservableList<T> sender, int fromPosition, int toPosition, int itemCount) {
        onChanged(sender);
    }

    @Override
    public void onItemRangeRemoved(ObservableList<T> sender, int positionStart, int itemCount) {
        onChanged(sender);
    }


}
